# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v3.2.0
    hooks:
      - id: trailing-whitespace
      - id: end-of-file-fixer
      - id: check-yaml
        args: [--allow-multiple-documents]
      - id: check-added-large-files
      - id: check-byte-order-marker
      - id: check-case-conflict
      - id: check-executables-have-shebangs
      - id: check-json
  - repo: https://github.com/jorisroovers/gitlint
    rev: v0.13.1
    hooks:
      - id: gitlint
        stages: [commit-msg]
        entry: gitlint
        args: [--contrib=CT1, --ignore=body-is-missing, --msg-filename]
  # - repo: https://github.com/psf/black
    # rev: 20.8b1
    # hooks:
      # - id: black
  # - repo: https://gitlab.com/pycqa/flake8
    # rev: 3.8.3
    # hooks:
      # - id: flake8
        # additional_dependencies: [flake8-bugbear]
